Bug 1442842 - 4.8.19-2: go back to slang and other cleanups
Summary: 4.8.19-2: go back to slang and other cleanups
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mc
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jindrich Novy
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1440856
TreeView+ depends on / blocked
 
Reported: 2017-04-17 18:05 UTC by Tomasz Kłoczko
Modified: 2017-05-17 05:55 UTC (History)
11 users (show)

Fixed In Version: mc-4.8.19-2.fc26 mc-4.8.19-2.fc25 mc-4.8.19-2.fc24
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-05-09 21:24:36 UTC


Attachments (Terms of Use)
4.8.19-2 mc.spec.patch (3.65 KB, patch)
2017-04-17 18:05 UTC, Tomasz Kłoczko
no flags Details | Diff
4.8.19-2 mc.spec.patch (3.65 KB, patch)
2017-04-19 21:56 UTC, Tomasz Kłoczko
no flags Details | Diff
mc.spec.patch (3.70 KB, patch)
2017-05-04 22:57 UTC, Tomasz Kłoczko
no flags Details | Diff

Description Tomasz Kłoczko 2017-04-17 18:05:04 UTC
Created attachment 1272123 [details]
4.8.19-2 mc.spec.patch

Please review and commit spec file patch.
Copy of the %changelog entry:

* Mon Apr 17 2017 Tomasz Kłoczko <kloczek@fedoraproject.org> - 1:4.8.19-2
- go back to slang as it is serious issue with shift-f6 when ncurses is used
  displaying "Delete" instead "Move As" dialog (#1436394)
- reformat %%description to 80 cols
- really remove Group
- %%defattr() is no longer needed
- simplifications in %%files
- use %%{buildroot} macro
- build --with-x (it does not add X11 libraries dependencies)
- cons.saver no longer need to be 711 (changed to 755)

Comment 1 Tomasz Kłoczko 2017-04-17 18:10:15 UTC
This fix should be pushed to older Fedora versions updates as well.

Comment 2 Nerijus Baliūnas 2017-04-19 01:14:55 UTC
Could you please include this patch as well - https://mail.gnome.org/archives/mc-devel/2017-April/msg00006.html ? Without it the filestamps of files copied from tar.gz, cpio, are not preserved (see https://mail.gnome.org/archives/mc-devel/2017-April/msg00000.html).

Comment 3 Tomasz Kłoczko 2017-04-19 08:21:37 UTC
I'll busy for next 2 days. Hopefully rel 2 with reverte to use slang will be released soon because this is now more important.
Will try to have look later on this.

PS. I have no RW access to mc but I can help maintain it as my admin access request will be approved.

Comment 4 Tomasz Kłoczko 2017-04-19 21:56:57 UTC
Created attachment 1272765 [details]
4.8.19-2 mc.spec.patch

corrected typo.

Comment 5 Tomasz Kłoczko 2017-04-22 21:44:29 UTC
Hellow. Can I have any feedback from maintainer?
Current binary mc package has an issue which needs to be sorted out ASAP!!!

Comment 6 josef radinger 2017-04-23 07:08:29 UTC
any progress on this?

Comment 7 Jan Pokorný [poki] 2017-05-02 08:14:17 UTC
Note that you need to use "%bcond_with ncurses" if you want to
avoid ncurses by default :-)

Also the use of "with_ncurses" macro may not be right.  Was the
build even tested?

http://rpm.org/user_doc/conditional_builds.html

Comment 8 Tomasz Kłoczko 2017-05-02 09:13:54 UTC
It was tested seems you wrote your comment without testing.
"%bcond_without foo" enables it. Yes, it is illogical but it works exactly this way and it works completely opposite to --with{,out} foo cmd switches.
First found example abrt.spec. You can find in it 

%if 0%{?fedora} >= 14
    %bcond_without systemd
%else
    %bcond_with systemd
%endif

and as you see "%bcond_without systemd" enables by default build abrt with systemd support on fedora>=14
Because %bcond has been introduced +12 years ago now is to late to reverse how it works because it will break thousands of specs files.

Comment 9 Jan Pokorný [poki] 2017-05-02 12:52:56 UTC
If the purpose is that "without ncurses" is the default, it should
really be:

> %bcond_with ncurses

because otherwise (bcond_without), "with_ncurses" gets normally
(with non-opinionated "rpmbuild" run) defined and you will end
up building with ncurses, which against the intent of this bug?

You should also be crafting binary either-or strings like this:

> %{?with_ncurses:ncurses-devel}%{!?with_ncurses:slang-devel}

Note that passing --with/--without to rpmbuild does not count, it
will not get called like this in koji build.

Nope, I haven't tested that myself, but I don't lack packaging
experience either.

Comment 10 Tomasz Kłoczko 2017-05-02 15:39:45 UTC
[..]
> Nope, I haven't tested that myself, but I don't lack packaging
> experience either.

I'm confused a bit. So what you are doing here?
Please do this first and then try to discuss anything.
If you are not familiar with %bcond (and seems you are because you didn't know that "%bcond_without foo" enables foo) please do not ask me to elaborate how macros created by %bcond are working. RTFM.
If it is not clear this %bcond is not for automated build over koji but for developers able to diagnose ncurses ot term applications issues which mc exposes by compiling with ncurces.

Comment 11 Tomasz Kłoczko 2017-05-04 22:57:47 UTC
Created attachment 1276446 [details]
mc.spec.patch

I must apologize Jan. He was right about my mistake in %bcond logic in my patch.
Simple I've attached incorrect version of the patch.
I've changed %bcond name to "%bcond_without slang" to make it less confusing that slang is default screen type.

Comment 12 Jan Pokorný [poki] 2017-05-05 07:23:54 UTC
No problem, glad that point was taken :)

Comment 13 Gwyn Ciesla 2017-05-05 12:47:50 UTC
Applying patch, see FESCO ticket for background.

Comment 14 Fedora Update System 2017-05-05 13:06:34 UTC
mc-4.8.19-2.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-0b205eabf4

Comment 15 Fedora Update System 2017-05-05 13:07:26 UTC
mc-4.8.19-2.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-bf0dcd75c6

Comment 16 Fedora Update System 2017-05-05 13:08:10 UTC
mc-4.8.19-2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-70c2e0ec52

Comment 17 Nerijus Baliūnas 2017-05-05 13:39:18 UTC
BuildRequires: %{?with_slang:slang-devel}%{!?with_slang:slang-devel}

one of them should be ncurses-devel.

Comment 18 Gwyn Ciesla 2017-05-05 13:57:03 UTC
Fixed in rawhide, will be picked up in the future.  Good catch, thank you.

Comment 19 Fedora Update System 2017-05-05 20:59:04 UTC
mc-4.8.19-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-70c2e0ec52

Comment 20 Fedora Update System 2017-05-05 21:01:58 UTC
mc-4.8.19-2.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-0b205eabf4

Comment 21 Fedora Update System 2017-05-05 22:38:54 UTC
mc-4.8.19-2.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-bf0dcd75c6

Comment 22 Fedora Update System 2017-05-09 21:24:36 UTC
mc-4.8.19-2.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 23 Fedora Update System 2017-05-12 12:04:34 UTC
mc-4.8.19-2.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 24 Fedora Update System 2017-05-17 05:55:58 UTC
mc-4.8.19-2.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.